LibreOffice: XContentIdentifier Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XContentIdentifier Interface Referencepublished

An identifier for contents. More...

Inheritance diagram for XContentIdentifier:

## Public Member Functions
string | getContentIdentifier ()
| returns the content identifier string. More...
string | getContentProviderScheme ()
| returns the content provider scheme string. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An identifier for contents.

Version
  1.0

See also
  XContent

## Member Function Documentation

## ◆ getContentIdentifier()

string getContentIdentifier | ( |  | ) |

returns the content identifier string.

Returns
  the content identifier string. This must be a valid URI (Uniform Resource Identifier, see RFC 2396). This string is required. If a content provider "implements" some existent URI scheme (e.g., a content provider offering access to a file system would implement the "file" scheme, and a content provider offering access to IMAP servers would implement the "imap" scheme), the content identifier strings should use that scheme. If on the other hand a content provider offers access to content for which no appropriate URI scheme exists, a vendor-specific URL scheme starting with "vnd." must be created (see the Internet Draft draft-king-vnd-urlscheme-00.txt).

## ◆ getContentProviderScheme()

string getContentProviderScheme | ( |  | ) |

returns the content provider scheme string.

This string will be calculated from the content identifier string and must be lower-cased(!). It is the "scheme" the content provider is registered for. In example, a provider for FTP contents will use ftp-URLs as content identifiers. The content provider scheme for all contents provided by that provider will be "ftp".

Returns
  the content provider scheme string.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentIdentifier.idl